[Overview][Constants][Types][Classes][Index] | Reference for unit 'IBConnection' (#fcl)

# TIBConnection.BlobSegmentSize (deprecated)

Write this amount of bytes per BLOB segment

## Declaration

Source position: ibconnection.pp line 131

`public property TIBConnection.BlobSegmentSize : Word read FBlobSegmentSize write FBlobSegmentSize;`

## Description

Deprecated since FPC 2.7.1 revision 19659

When sending BLOBs to the database, the code writes them in segments.

Before FPC 2.7.1 revision 19659, these segments were 80 bytes and could be changed using BlobSegmentSize. Please set BlobSegmentSize to 65535 for better write performance.

In newer FPC versions, the BlobSegmentSize property is ignored and segments of 65535 bytes are always used.